/** Interface that describes a collection of component information. */
export interface MaterialNameData {
    md: string;
    mat: string;
}
/** Export the class name data as part of a module. This means that the data is cached. */
export declare const classNames: MaterialNameData[];
/** Export the input names data as part of a module. This means that the data is cached. */
export declare const inputNames: MaterialNameData[];
/** Export the element selectors data as part of a module. This means that the data is cached. */
export declare const elementSelectors: MaterialNameData[];
/** Export the attribute selectors data as part of a module. This means that the data is cached. */
export declare const exportAsNames: MaterialNameData[];
/** Export the attribute selectors data as part of a module. This means that the data is cached. */
export declare const attributeSelectors: MaterialNameData[];
/** Method that can be used to remove the surrounding Angular attribute brackets from a string. */
export declare const removeAttributeBackets: (str: any) => any;
