import { Rules, RuleFailure, IOptions } from 'tslint';
import * as ts from 'typescript';
import { ComponentWalker } from '../tslint/component-walker';
import { ExternalResource } from '../tslint/component-file';
/**
 * A glob string needs to be transferred from the CLI process to the child process of TSLint.
 * This is the environment variable, which will be set if the `--extra-stylesheets` option is set.
 */
export declare const EXTRA_STYLESHEETS_GLOB_KEY = "MD_EXTRA_STYLESHEETS_GLOB";
/**
 * Rule that walks through every component decorator and updates their inline or external
 * stylesheets.
 */
export declare class Rule extends Rules.AbstractRule {
    apply(sourceFile: ts.SourceFile): RuleFailure[];
}
export declare class SwitchStylesheetsWalker extends ComponentWalker {
    constructor(sourceFile: ts.SourceFile, options: IOptions);
    visitInlineStylesheet(stylesheet: ts.StringLiteral): void;
    visitExternalStylesheet(stylesheet: ExternalResource): void;
    /**
     * Replaces the outdated prefix in the stylesheet with the new one and returns an updated
     * stylesheet.
     */
    private replacePrefixesInStylesheet(stylesheetContent);
}
